KDialogBaseButton Class Reference

`#include <kdialogbase_priv.h>`

Inheritance diagram for KDialogBaseButton:

## Public Member Functions

| KDialogBaseButton (const KGuiItem &text, int key, QWidget *parent=0, const char *name=0)
int | id ()
Public Member Functions inherited from KPushButton
| KPushButton (QWidget *parent, const char *name=0)
| KPushButton (const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const QIconSet &icon, const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const KGuiItem &item, QWidget *parent, const char *name=0)
| ~KPushButton ()
void | setDragEnabled (bool enable)
bool | isDragEnabled () const
void | setGuiItem (const KGuiItem &item)
void | setGuiItem (KStdGuiItem::StdItem item)
KStdGuiItem::StdItem | guiItem () const
void | setGuiItm (int itm)
int | guiItm () const
void | setIconSet (const QIconSet &iconSet)
void | setText (const QString &text)

## Additional Inherited Members

Protected Member Functions inherited from KPushButton
virtual QDragObject * | dragObject ()
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | startDrag ()
virtual void | virtual_hook (int id, void *data)
Properties inherited from KPushButton
int | stdItem
bool | isDragEnabled

## Detailed Description

Used internally by KDialogBase.

Definition at line 31 of file kdialogbase_priv.h.

The documentation for this class was generated from the following files:

- kdialogbase_priv.h
- kdialogbase.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys